<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span>Jenis Resiko</span>
            </h5>
            <p-dataTable
                [value]="jenisResikos"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                [(first)]="first"
                row="itemsPerPage"
                totalRecords="totalItems"
                dataKey="idristyp"
                expandableRows="false"
                rowHover="true"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <ul class="nav justify-content-end">
                            <!-- <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                            </li> -->
                            <li class="nav-item">
                                <a class="btn" [routerLink]="['../jenis-resiko-tambah']"><span><i class="fa fa-plus" ></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                            </li>

                    <!-- <button pButton type="submit"
                            [routerLink]="['/', { outlets: { popup: 'organization-customer/'+ rowData.idCustomer + '/edit'} }]"
                            replaceUrl="true"
                            icon="fa-pencil"
                            class="ui-button-primary">
                    </button> -->

                    </ul>
                <!-- <div class="col-md-1 offset-md-11">
                    <button pButton type="button"
                        icon="fa-plus"
                        class="ui-button-primary btn-sm"
                        [routerLink]="['/', { outlets: { popup: ['organization-customer-new'] } }]">
                    </button>
                </div> -->
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                  name="currentSearch" placeholder="Cari Jenis Resiko">
                            <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                </div>
            </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="No" [style]="{'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.idristyp}}
                    </ng-template>
                </p-column>
                <p-column header="Jenis Resiko">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.description}}
                        </ng-template>
                </p-column>
                <p-column header="Aksi" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                (click)="gotoDetail(rowData)"
                                dummy ="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.id)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>

</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
